import * as n from "react";
import s from "./Upload.mjs";
var c = globalThis && globalThis.__rest || function(r, a) {
  var o = {};
  for (var e in r)
    Object.prototype.hasOwnProperty.call(r, e) && a.indexOf(e) < 0 && (o[e] = r[e]);
  if (r != null && typeof Object.getOwnPropertySymbols == "function")
    for (var t = 0, e = Object.getOwnPropertySymbols(r); t < e.length; t++)
      a.indexOf(e[t]) < 0 && Object.prototype.propertyIsEnumerable.call(r, e[t]) && (o[e[t]] = r[e[t]]);
  return o;
};
const l = /* @__PURE__ */ n.forwardRef((r, a) => {
  var {
    style: o,
    height: e
  } = r, t = c(r, ["style", "height"]);
  return /* @__PURE__ */ n.createElement(s, Object.assign({
    ref: a
  }, t, {
    type: "drag",
    style: Object.assign(Object.assign({}, o), {
      height: e
    })
  }));
});
process.env.NODE_ENV !== "production" && (l.displayName = "Dragger");
const g = l;
export {
  g as default
};
